Services
All operations require authentication.
List MX Plan domainsProduction
List MX Plan domains. Returns the domains of the account with an MX Plan email service. Filter them by IAM tags with iamTags.
Query parameters
Filter resources on IAM tags
Response
Reads your token from $OVH_TOKEN
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get the email domainProduction
Get the email domain. Returns the status, offer, creation date, linked service and allowed account sizes of the email domain, with the results of its MX and SPF checks.
Path parameters
Name of your domain name
Response
List of allowed sizes for this domain in bytes
Creation date of domain
Name of domain
Filerz of domain
IAM resource metadata
Result of MX check if current MX fit to OVH recommendations
checkFailinvalidnoneunknownvalidResult of SPF check if current SPF fit to OVH recommendations
checkFailinvalidnoneunknownvalidName of servicelinked with this domain
Name of new MXPlan service
Offer of email service
Domain Status
closeokreadOnlyunknownExample uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain} \
-H "authorization: Bearer $OVH_TOKEN"{ "allowedAccountSize": [ 0 ], "creationDate": "2024-01-01T12:00:00Z", "domain": "string", "filerz": 0, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "isMXValid": "checkFail", "isSPFValid": "checkFail", "linkTo": "string", "migratedMXPlanServiceName": "string", "offer": "string", "status": "close"}
List redirectionsProduction
List redirections. Returns the IDs of the redirections of the domain. Filter them by from or to address.
Path parameters
Name of your domain name
Query parameters
Name of redirection
Email of redirection target
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get a redirectionProduction
Path parameters
Name of your domain name
Response
Example uses domain = string, id = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "from": "string", "id": "string", "to": "string"}
List redirection tasksProduction
List redirection tasks. Returns the IDs of the pending redirection tasks of the domain. Filter them by account.
Path parameters
Name of your domain name
Query parameters
Account name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ redirection \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get a responder or redirection taskProduction
Get a responder or redirection task. Returns the account, type, action and creation date of the task.
Path parameters
Name of your domain name
Id of task
Response
Account name of task
Action of task
addchangedeleteCreation date of task
Domain name of task
Id of task
Type of action filter
25galiasdeletefilterforwardresponderExample uses domain = string, id = 0
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ task/ redirection/ {id} \
-H "authorization: Bearer $OVH_TOKEN"{ "account": "string", "action": "add", "date": "2024-01-01T12:00:00Z", "domain": "string", "id": 0, "type": "25g"}
List ACLsProduction
List ACLs. Returns the OVHcloud account IDs (accountId) that have been given access to the email service of the domain.
Path parameters
Name of your domain name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ acl \
-H "authorization: Bearer $OVH_TOKEN"[ "string"]
Get an ACLProduction
Get an ACL. Returns the OVHcloud account ID (accountId) that has been given access to the email service of the domain.
Path parameters
OVH customer unique identifier
Name of your domain name
Response
OVH customer unique identifier
Example uses accountId = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ acl/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": "string"}
Add an ACLProduction
Add an ACL. Gives the OVHcloud account accountId full management of the email domain, and returns the ACL.
Path parameters
Name of your domain name
Request body (required)
Deleguates rights to
Response
OVH customer unique identifier
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ acl \
-H "authorization: Bearer $OVH_TOKEN"{ "accountId": "string"}
Remove an ACLProduction
Remove an ACL. Withdraws from the OVHcloud account the access to the email service of the domain that it had been given.
Path parameters
OVH customer unique identifier
Name of your domain name
Response
Example uses accountId = string, domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ acl/ {accountId} \
-H "authorization: Bearer $OVH_TOKEN"Change service contactsProduction
Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.
Path parameters
Name of your domain name
Request body (required)
The contact to set as admin contact
The contact to set as billing contact
The contact to set as tech contact
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ changeContact \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Confirm service terminationProduction
Confirm service termination. Terminates the email service with the termination token. A reason and a comment can be given.
Path parameters
Name of your domain name
Request body (required)
Commentary about your termination request
Reason of your termination request
FEATURES_DONT_SUIT_MELACK_OF_PERFORMANCESMIGRATED_TO_ANOTHER_OVH_PRODUCTMIGRATED_TO_COMPETITORNOT_ENOUGH_RECOGNITIONNOT_NEEDED_ANYMORENOT_RELIABLENO_ANSWEROTHERPRODUCT_DIMENSION_DONT_SUIT_MEPRODUCT_TOOLS_DONT_SUIT_METOO_EXPENSIVETOO_HARD_TO_USEUNSATIFIED_BY_CUSTOMER_SUPPORTThe termination token sent by mail to the admin contact
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ confirmTermination \
-H "authorization: Bearer $OVH_TOKEN""string"
Migrate V3 delegationsProduction
Migrate V3 delegations. Converts the delegations of the domain made with the former delegation system (V3) to the current one (V6).
Path parameters
Name of your domain name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ migrateDelegationV3toV6 \
-H "authorization: Bearer $OVH_TOKEN"Get the quotasProduction
Get the quotas. Returns the maximum number of email accounts, aliases, mailing lists, redirections and responders of the email domain.
Path parameters
Name of your domain name
Response
Maximum number of mailboxes
Maximum number of aliases
Maximum number of mailing lists
Maximum number of redirections
Maximum number of responders
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ quota \
-H "authorization: Bearer $OVH_TOKEN"{ "account": 0, "alias": 0, "mailingList": 0, "redirection": 0, "responder": 0}
Get service informationProduction
Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.
Path parameters
Name of your domain name
Response
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidExample uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}
Update service informationProduction
Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.
Path parameters
Name of your domain name
Request body (required)
Indicates that the service can be set up to be deleted at expiration
All the possible renew period of your service in month
Way of handling the renew
Detailed renewal type of a service
automaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoptionautorenewInProgressexpiredinCreationokpendingDebtunPaidResponse
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ serviceInfos \
-H "authorization: Bearer $OVH_TOKEN"Get the summaryProduction
Get the summary. Returns the number of email accounts, mailing lists, redirections and responders of the email domain.
Path parameters
Name of your domain name
Response
Number of mailboxes
Number of mailing lists
Number of redirections
Number of responders
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ summary \
-H "authorization: Bearer $OVH_TOKEN"{ "account": 0, "mailingList": 0, "redirection": 0, "responder": 0}
Request service terminationProduction
Request service termination. Starts the termination of the email service, to confirm with the confirmTermination call.
Path parameters
Name of your domain name
Response
Example uses domain = string
$ curl https:/ / api.eu.ovhcloud.com/ 1.0/ email/ domain/ {domain}/ terminate \
-H "authorization: Bearer $OVH_TOKEN""string"